
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="Rafiki">
    <meta name="generator" content="Jekyll v3.8.6">
    <title>La Nassa tira fora i schei</title>
    <link rel="icon" href="">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
	 <style>
      .page {
        margin: 4rem;
      }
      .parameter {
        border: 2px solid;
        padding: 0.2rem;
        border-color: blue;
        border-radius: 0.3rem;;
      }
      .case {
        border: 2px solid;
        padding: 0.2rem;
        border-color: darkgreen;
        border-radius: 0.3rem;;
      }
      .expl {
        font-size: 0.85rem;
        font-style: italic;
      }
      .note {
        border: 1px solid blue;
        padding: 1rem;
        background-color:dodgerblue;
        color: white;
        border-radius: 1rem;
      }
      .text-bold {
        font-weight: 600;
      }
      .work-in-progress {
        border: 1px solid red;
        padding: 1rem;
        background-color: orange;
        color: black;
        border-radius: 1rem;
      }
    </style>
  </head>
  <script src="https://code.jquery.com/jquery-3.6.0.slim.min.js" integrity="sha256-u7e5khyithlIdTpu22PHhENmPcRdFiHRjhAuHcs05RI=" crossorigin="anonymous"></script>
  <script>
    function calculate_costs_and_meters() {
      var money = 0.0;
      var squared_meters = 0.0;
      // NASSA
      var nassa_money = parseFloat($('#num_nassa').val()) * parseFloat($('#eur_nassa').val());
      var nassa_squared_meters = parseFloat($('#met_nassa').val());
      console.log('Nassa: We need ' + nassa_squared_meters + ' and we can pay ' + nassa_money + " euros. ");
      // SOCI
      var soci_money = parseFloat($('#num_soci').val()) * parseFloat($('#eur_soci').val());
      var soci_squared_meters = parseFloat($('#num_soci').val()) * parseFloat($('#met_soci').val());
      console.log('Soci: We need ' + soci_squared_meters + ' and we can pay ' + soci_money + " euros. ");
      // ESTERNI
      var est_money = parseFloat($('#num_est').val()) * parseFloat($('#eur_est').val());
      var est_squared_meters = parseFloat($('#num_est').val()) * parseFloat($('#met_est').val());
      console.log('Esterni: We need ' + est_squared_meters + ' and we can pay ' + est_money + " euros. ");
      // FLEX
      var flex_money = parseFloat($('#num_flex').val()) * parseFloat($('#eur_flex').val());
      var flex_squared_meters = parseFloat($('#num_flex').val()) * parseFloat($('#met_flex').val());
      console.log('Flex: We need ' + flex_squared_meters + ' and we can pay ' + flex_money + " euros. ");
      // CORSI
      var num_corsi = parseFloat($('#num_corsi').val())
      var corsi_money = parseFloat($('#num_corsi').val()) * parseFloat($('#eur_corsi').val());
      var corsi_squared_meters = parseFloat($('#met_corsi').val()) * num_corsi / (Math.abs(num_corsi - 1) + 1);
      console.log('Corsi: We need ' + corsi_squared_meters + ' and we can pay ' + corsi_money + " euros. ");
      // WORKSHOP
      var num_ws = parseFloat($('#num_ws').val())
      var ws_money = parseFloat($('#num_ws').val()) * parseFloat($('#eur_ws').val());
      var ws_squared_meters = parseFloat($('#met_ws').val()) * num_ws / (Math.abs(num_ws - 1) + 1);
      console.log('Workshops: We need ' + ws_squared_meters + ' and we can pay ' + ws_money + " euros. ");
      
      money = Math.round(nassa_money + soci_money + est_money + flex_money + corsi_money + ws_money);
      squared_meters = Math.round(nassa_squared_meters + soci_squared_meters + est_squared_meters + flex_squared_meters + corsi_squared_meters + flex_squared_meters);
      console.log('Total: We need ' + squared_meters + ' and we can pay ' + money + " euros. ");
      
      var money_only_nassa = Math.round(nassa_money + soci_money);
      var squared_meter_only_nassa = Math.round(nassa_squared_meters + soci_squared_meters);
      console.log('Only Nassa: We need ' + squared_meter_only_nassa + ' and we can pay ' + money_only_nassa + " euros. ");
      $('#need_sq_meter_nassa').html(squared_meter_only_nassa);
      $('#monthly_cover_nassa').html(money_only_nassa);
      
      var money_no_nassa = Math.round(corsi_money + ws_money + est_money + flex_money);
      var squared_meter_no_nassa  = Math.round(corsi_squared_meters + ws_squared_meters + est_squared_meters + flex_squared_meters);
      console.log('No Nassa: We need ' + squared_meter_no_nassa + ' and we can pay ' + money_no_nassa + " euros. ");
      $('#need_sq_meter_no_nassa').html(squared_meter_no_nassa);
      $('#monthly_cover_no_nassa').html(money_no_nassa);
      
      var money_no_est = Math.round(nassa_money + soci_money + corsi_money + ws_money);
      var squared_meter_no_est  = Math.round(nassa_squared_meters + soci_squared_meters + corsi_squared_meters + ws_squared_meters);
      console.log('No External: We need ' + squared_meter_no_est + ' and we can pay ' + money_no_est + " euros. ");
      $('#need_sq_meter_no_est').html(squared_meter_no_est);
      $('#monthly_cover_no_est').html(money_no_est);
      
      var money_no_corsi = Math.round(nassa_money + soci_money + est_money + flex_money);
      var squared_meter_no_corsi  = Math.round(nassa_squared_meters + soci_squared_meters + est_squared_meters + flex_squared_meters);
      console.log('No Courses: We need ' + squared_meter_no_corsi + ' and we can pay ' + money_no_corsi + " euros. ");
      $('#need_sq_meter_no_corsi').html(squared_meter_no_corsi);
      $('#monthly_cover_no_corsi').html(money_no_corsi);

      $('#need_sq_meter').html(squared_meters);
      $('#monthly_cover').html(money);
      console.log("done.");
    }
    $().ready(calculate_costs_and_meters);
  </script>
  <body>
     <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
      <div class="container">
          <a class="navbar-brand js-scroll-trigger" href="/index.html">Schei</a>
          <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
              Menu
              <i class="fas fa-bars"></i>
          </button>
          <div class="collapse navbar-collapse" id="navbarResponsive">
              <ul class="navbar-nav ml-auto">
                  <li class="nav-item"><a class="nav-link js-scroll-trigger" href="/budget_spazio.html">Budget</a></li>
                  <li class="nav-item"><a class="nav-link js-scroll-trigger" href="/business_model.html">Business Model</a></li>
              </ul>
          </div>
      </div>
    </nav>

    <div class="page">
      <div class="main">
        <div class="container">
          <h1 class="text-center m-4">Budget dello Spazio Fisico de La Nassa APS</h1>
          <p>Un piccolo studio sul budget dello spazio fisico in base a quanti soci, quante persone come co-working e quanti corsi verranno ospitati.</p>
          <p><b>IDEA:</b> basandoci su quante persone pensiamo lavoreranno dentro possiamo calcolare quanto potremmo "coprire" dei costi. Questi numeri indicano quanto potremmo pagare un posto (nel caso in cui qualcuno abbia contatti con posti per avere un'idea di quanti metri quadri vorremmo e quanti soldi potremmo spendere). Come vedrete, è assolutamente non sostenibile dal punto finanziario.</p>
          <hr>
          <h3 class="">Risultato dei calcoli</h3>
          <p>Con i parametri impostati sotto, possiamo calcolare una media di metri quadri che ci servirebbero per le nostre esigenze.</p>
          <h5>Calcolando tutto insieme, </h5>
          <div class="row mb-4">
            <div class="col-lg-4 col-md-6 col-12 text-center">ci servono circa <b><span id="need_sq_meter">32</span></b> metri quadrati.</div>
            <div class="col-lg-4 col-md-6 col-12 text-center">Ci possiamo permettere fino a <b><span id="monthly_cover">32</span></b> Euro al mese/</div>
            <div class="col-lg-2 col-6 text-center mb-1 mt-1"><button class="btn btn-primary" onclick="calculate_costs_and_meters()">Ricalcola</button></div>
            <div class="col-lg-2 col-6 text-center mb-1 mt-1"><button class="btn btn-success" onclick="window.location.reload()">Reset Default</button></div>
          </div>
          <hr>
          <h3>Altri scenari possibili</h3>
          <div class="row">
            <div class="col-lg-3 col-md-6 case text-center p-2">
              <h5>Solo Nassa e Soci</h5>
              <h6>(Senza Esterni e senza Corsi/Workshops)</h6>
              <hr>
              <p>ci servono icirca <b><span id="need_sq_meter_nassa">32</span></b> metri quadrati.</p>
              <p>Ci possiamo permettere fino a <b><span id="monthly_cover_nassa">32</span></b> Euro al mese.</p>
            </div>
            <div class="col-lg-3 col-md-6 case text-center p-2">
              <h5>Esterni e Corsi</h5>
              <h6>(Senza contributi di nassa e soci)</h6>
              <hr>
              <p>ci servono circa <b><span id="need_sq_meter_no_nassa">32</span></b> metri quadrati.</p>
              <p>Ci possiamo permettere fino a <b><span id="monthly_cover_no_nassa">32</span></b> Euro al mese.</p>
            </div>
            <div class="col-lg-3 col-md-6 case text-center p-2">
              <h5>Nassa + Corsi</h5>
              <h6>(Senza esterni / senza coworking)</h6>
              <hr>
              <p>ci servono circa <b><span id="need_sq_meter_no_est">32</span></b> metri quadrati.</p>
              <p>Ci possiamo permettere fino a <b><span id="monthly_cover_no_est">32</span></b> Euro al mese.</p>
            </div>
            <div class="col-lg-3 col-md-6 case text-center p-2">
              <h5>Nassa + Co-Working</h5>
              <h6>(Senza corsi o workshop)</h6>
              <hr>
              <p>ci servono circa <b><span id="need_sq_meter_no_corsi">32</span></b> metri quadrati.</p>
              <p>Ci possiamo permettere fino a <b><span id="monthly_cover_no_corsi">32</span></b> Euro al mese.</p>
            </div>
          </div>
          <hr>

          <h3 class="">Distribuzione dei Contributi e dei Metri Quadri</h3>
          <div class="row">
            <div class="col-12">
              <p>Per capire quanto potremmo coprire, inseriamo qui sotto i valori che pensiamo abbiano senso. Questi valori sono i soldi che le persone indicate potrebbero pagare a un fittizio proprietario del posto come affitto. Piu alto è il contributo di ogni persona, piu alto è il prezzo che possiamo permetterci. <br>
              I metri quadri sono per capire quanto grande dovrebbe essere lo spazio. <br>
              Questi valori ci permettono di capire quanti soldi possiamo spendere e quanti metri quadri vogliamo avere per quei soldi (nella ricerca del posto). Immagino che l'obiettivo sia di arrivare a regime con un contributo Nassa pari a 0 (e socio pari a 0) e che i contributi degli esterni e dei cosi coprano tutto il posto.</p>
              <p><b>Spiegazione:</b> per ogni casella inserisci il contributo in euro che stimiamo e il numero di metri quadri che serviranno. Esempio: per ogni socio un contributo 10 € e 2 m<sup>2</sup> vuol dire che avendo 5 soci ci serve uno spazio di 10 m<sup>2</sup> e possiamo permetterci di pagare 50 €, quindi cercheremo uno spazio piccolo da 50 €. Le lettere tra parentesi servono per le formule (che vengono sotto)</p>
            </div>
            <div class="col-lg-4 col-md-6 col-sm-12 parameter text-center">
              Nassa <b>(N)</b><br>
              <input id="num_nassa" size=3 value=1 disabled>#&nbsp;
              <input id="eur_nassa" size=3 value=70>€&nbsp;
              <input id="met_nassa" size=3 value=20>m<sup>2</sup><br>
              <p class="expl mt-2">Il contributo della nassa, che verrà dal conto. All'inizio magari pagato da noi, ma se vinciamo bandi o donazioni, quei soldi potranno essere usati per coprire l'affitto.</p>
            </div>
            <div class="col-lg-4 col-md-6 col-sm-12 parameter text-center">
              Socio Attivo <b>(S)</b>
              <br>
              <input id="num_soci" size=3 value=3>#&nbsp;
              <input id="eur_soci" size=3 value=10>€&nbsp;
              <input id="met_soci" size=3 value=2>m<sup>2</sup><br>
              <p class="expl mt-2 mb-0">Il numero e il contributo (quanto paga di tasca sua) di un socio che usa attivamente gli spazi. Si può introdurre inizialmente per aiutare fino al momento in cui abbiamo finanziamenti esterni. Altrimenti si può mettere a 0. A regime dovrebbe essere 0.</p>
            </div>
            <div class="col-lg-4 col-md-6 col-sm-12 parameter text-center">
              Esterno Fisso <b>(E)</b>
              <br>
              <input id="num_est" size=3 value=3>#&nbsp;
              <input id="eur_est" size=3 value=100>€&nbsp;
              <input id="met_est" size=3 value=5>m<sup>2</sup><br>
              <p class="expl mt-2">Quanti esterni, quanto pagano e quanti metri quadri ricevono (una scrivania riservata). I valori sono mensili.</p>
            </div>
            <div class="col-lg-4 col-md-6 col-sm-12 parameter text-center">
              Esterno Flex <b>(F)</b><br>
              <input id="num_flex" size=3 value=5>#&nbsp;
              <input id="eur_flex" size=3 value=30>€&nbsp;
              <input id="met_flex" size=3 value=2>m<sup>2</sup><br>
              <p class="expl mt-2">Quanti esterni con tariffa flex, quanto pagano e quanti metri quadri ricevono (senza scrivania riservata). Forse anche zero metri quadri. I valori sono mensili.</p>
            </div>
            <div class="col-lg-4 col-md-6 col-sm-12 parameter text-center">
              Corsi <b>(C)</b><br>
              <input id="num_corsi" size=3 value=1>#&nbsp;
              <input id="eur_corsi" size=3 value=100>€&nbsp;
              <input id="met_corsi" size=3 value=50>m<sup>2</sup><br>
              <p class="expl mt-2 mb-0">Ogni corso che verrà fatto dovrà donare parte del ricavato per coprire i costi, perchè il fatto di avere i corsi richiede l'affitto di uno spazio grande. Quanti corsi avremo e quanti metri richiede? Valori mensili. I metri verranno calcolati una volta sola, il contributo ogni mese.</p>
            </div>
            <div class="col-lg-4 col-md-6 col-sm-12 parameter text-center">
              Workshop <b>(W)</b><br>
              <input id="num_ws" size=3 value=0.5>#&nbsp;
              <input id="eur_ws" size=3 value=150>€&nbsp;
              <input id="met_ws" size=3 value=10>m<sup>2</sup><br>
              <p class="expl mt-2 mb-0">Stessa storia per i workshop, che richiedono magari meno spazio ma possono teoricamente anche contribuire maggiormente se giovani professionisti prendono parte. Quanti workshop avremo e quanti metri richiede? Contando che abbiamo gia i metri quadri dei corsi, fore anche 0? Valori mensili. I metri verranno calcolati una volta sola, il contributo ogni mese.</p>
            </div>
          </div>
          <hr>
          <h3>Come viene calcolato il totale</h3>
          <p>L'idea qui è di stimare quante persone ci saranno negli spazi, in modo da poter usare i numeri sopra per calcolare mensilmente quanto possiamo permetterci e quanti metri ci servono. Ovviamente l'affitto si paga sempre uguale e la metratura non puo cambiare, quindi i valori del numero di persone e del numero di corsi e workshop sono intesi in media e al mese.</p>
          <p class="note"><b>NOTA:</b> sotto viene usato <b>&#10066;<sub>L</sub></b> per la metratura relativa alla sezione <b>L</b> (sostituendo <b>L</b> con le lettere sopra, quindi <b>&#10066;<sub>M</sub></b> sarà la metratura della nassa e <b>&#10066;<sub>C</sub></b> sarà la metratura dei corsi. Lo stesso discorso vale per <b>€<sub>L</sub></b>, che sarebbe il contributo economico della sezione <b>L</b>, e <b>#<sub>L</sub></b> che sarebbe il numero di persone (o di corsi/workshop) della sezione <b>L</b>. </p>
          <div class="row">
            <div class="col-lg-4 col-md-12">
              <h4>Nassa e Soci</h4>
              <p>Per noi avrei pensato che il contributo fosse pari a <b>€<sub>N</sub> + €<sub>S</sub> &#215; #<sub>S</sub></b>, quindi il contributo economico della nassa (€<sub>N</sub>) piu il contributo economico di ogni socio attivo (€<sub>S</sub>) per il numero dei soci attivi (#<sub>S</sub>),  e il numero di metri quadri fosse <b>&#10066;<sub>N</sub> + &#10066;<sub>S</sub> &#215; #<sub>S</sub></b>, quindi la metratura basica della nassa (&#10066;<sub>N</sub>) piu qualche metro (&#10066;<sub>S</sub>) per ogni socio attivo (#<sub>S</sub>). Fin qui nulla di speciale.</p>
            </div>
            <div class="col-lg-4 col-md-12">
              <h4>Esterni</h4>
              <p> Anche qui piu o meno lo stesso il contributo sarà calcolato come <b>€<sub>E</sub> &#215; #<sub>E</sub> + €<sub>F</sub> &#215; #<sub>F</sub></b> e la metratura come <b>&#10066;<sub>E</sub> &#215; #<sub>E</sub> + &#10066;<sub>F</sub> &#215; #<sub>F</sub></b>. Non penso serva spiegare i singoli simboli (guarda sopra e a sinistra se non si capisce).</p>
            </div>
            <div class="col-lg-4 col-md-12">
              <h4>Corsi e Workshop</h4>
              <p> Il contributo economico è banale, come sempre <b>€<sub>E</sub> &#215; #<sub>E</sub> + €<sub>F</sub> &#215; #<sub>F</sub></b>. La metratura è già più interessante, io direi che se abbiamo almeno 1, ci servono i metri quadri indicati, se ce ne sono più di uno però la metratura non aumenta (rimane costante), e se ne abbiamo 0 non ci serve nulla. Questo per corsi e workshop (workshop richiedono meno spazio?). Fortunatamente Stackoverflow ha una risposta a tutte le domande, <a href="https://puzzling.stackexchange.com/questions/33625/function-that-is-1-for-all-positive-integers-but-0-at-0">e qui si trova la risposta a quest'esigenza</a>, quindi calcoliamo la metratura come  <b>&#10066;<sub>C</sub> &#215; #<sub>C</sub> / ( |#<sub>C</sub> - 1| + 1) + &#10066;<sub>W</sub> &#215; #<sub>W</sub> / ( |#<sub>W</sub> - 1| + 1)</b>. In pratica o la metratura o nulla, tante seghe mentali per nulla, ma una bella risposta.</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</html>